Bug 857361 - Introduce new systemd-rpm macros in libcanberra spec file
Introduce new systemd-rpm macros in libcanberra spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libcanberra (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-09-14 04:41 EDT by Václav Pavlín
Modified: 2012-12-20 11:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:03:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Václav Pavlín 2012-09-14 04:41:08 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Lennart Poettering 2012-09-14 12:05:42 EDT
Fixed in git. Now building.
Comment 2 Fedora Update System 2012-09-14 12:16:35 EDT
libcanberra-0.29-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libcanberra-0.29-5.fc18
Comment 3 Fedora Update System 2012-09-16 13:10:43 EDT
Package libcanberra-0.29-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libcanberra-0.29-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13953/libcanberra-0.29-5.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-10-30 11:39:03 EDT
libcanberra-0.30-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libcanberra-0.30-2.fc18
Comment 5 Fedora Update System 2012-10-30 16:13:52 EDT
Package libcanberra-0.30-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libcanberra-0.30-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17245/libcanberra-0.30-2.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 11:03:44 EST
libcanberra-0.30-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.